[bdist_wheel]
python-tag = py34.py35.py36

[tool:pytest]
minversion = 3.6.1

testpaths =
  pyflakes_bears
  pyflakes_generic_plugins
  tests

python_files = *Test.py
python_classes = *Test

addopts =
  -r a
  -p no:logging
  --color=yes
  --doctest-glob=*.rst
  --doctest-modules
  --doctest-ignore-import-error
  --error-for-skips
  --cov
  --instafail
  --profile
  --reorder 'requirements.txt' 'test-requirements.txt' '*'
  --ignore=tests/pyflakes_bears/pep8_naming_test_files

doctest_optionflags =
  ELLIPSIS
  IGNORE_EXCEPTION_DETAIL

env =
  PYTEST=1

reqsfilenamepatterns =
  requirements.txt
  test-requirements.txt

reqsignorevcs = True

timeout = 35

[coverage:coverage_env_plugin]
markers = True

[coverage:run]
branch = True
cover_pylib = False

plugins =
  coverage_env_plugin
  coverage_config_reload_plugin

source =
  pyflakes_bears
  pyflakes_generic_plugins

omit =
  tests/*
  setup.py

[coverage:report]
fail_under = 100
show_missing = True
skip_covered = False
sort = Miss
exclude_lines =
  pragma ${PLATFORM_SYSTEM}: no cover
  pragma ${OS_NAME}: no cover
  pragma Python [0-9.,]*${PYTHON_VERSION}[0-9.,]*: no cover

[coverage:force_end_of_section]
